﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace ConsoleApplication1
{
  class Program
  {
    static void Main(string[] args)
    {
      ChannelFactory<IService1> httpFactory = new ChannelFactory<IService1>(
        new WSHttpBinding(), new EndpointAddress("http://localhost:8733/Design_Time_Addresses/WcfServiceLibrary1/Service1/"));
      IService1 client = httpFactory.CreateChannel();
      String resultaat = client.GetData(42);
      Console.WriteLine(resultaat);
      httpFactory.Close();
    }
  }
  [ServiceContract]
  interface IService1
  {
    [OperationContract]
    String GetData(int value);
  }
}
